/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2023-12-13 15:20:42
 * @LastEditTime: 2024-04-22 16:25:52
 * @LastEditors: dminyi 1301963064@qq.com
 * @Version: 1.0.0
 * @Description: 典型案例
 */
import React, { useState, useEffect } from 'react';
import { useSearchParams, useNavigate } from 'react-router-dom';
import { Col, Row, Space, Popover, Descriptions, Typography, Button } from 'antd';
import { LeftOutlined, QrcodeOutlined, CloseCircleOutlined, ProfileOutlined, CheckCircleFilled } from '@ant-design/icons';
import * as $$ from '../../utils/utility';
import timer from '../../utils/timer';
import { ConcludeContent, MediateDynamic, MediationNav1, ActionModal } from './component';
import Page from '../../components/Page';
import NameCard from '../../components/NameCard';
import FilesDrawer from '../../components/FilesDrawer';
// hh的兼容性修改0419
// function getDataApi(submitData) {
//   return $$.ax.request({ url: `guideInfo/getById`, type: 'get', data: submitData, service: 'mediate' });
// }
function getDataApi(submitData) {
  return $$.ax.request({ url: `guide/getCaseCpwsDetai`, type: 'get', data: submitData, service: 'mediate' });
}

const MediationWindowDetail = () => {
  const [searchParams] = useSearchParams();

  // hh的兼容性修改0419
  // const id = searchParams.get('id');
  const cpwsCaseInfoId = searchParams.get('cpwsCaseInfoId');
  const cpwsCaseTextId = searchParams.get('cpwsCaseTextId');


  // 数据
  const [data, setData] = useState([]);

  const [step, setStep] = useState('1');


  // 获取数据
  async function getData() {
    // hh的兼容性修改0419
    // const res = await getDataApi({ id });
    const res = await getDataApi({ cpwsCaseTextId, cpwsCaseInfoId });
    console.log(res);
    if (res.type) {
      setData(res.data || {});
      console.log(data, 'data')
    }
  }

  useEffect(() => {
    getData();
  }, [])

  return (
    <div className="mediationWindow-detail">
      <div className="mediationWindow-detail-l">
        <div className='mediationWindow-detail-l-title'>{data.caseTitle}</div>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>基础信息</h4>
          </Col>
          <Col span={8}>案号：{data.caseNumber ? data.caseNumber : '-'}</Col>
          <Col span={8}>审理法院：{data.court ? data.court : '-'}</Col>
          <Col span={8}>裁判日期：{data.judgmentDate? data.judgmentDate : '-'}</Col>
          <Col span={8}>审理程序：{data.trialProcedure ? data.trialProcedure : '-'}</Col>
          <Col span={8}>案由：{data.caseReason ? data.caseReason : '-'}</Col>
          <Col span={8}>案件类型：{data.caseType ? data.caseType : '-'}</Col>
        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>标题</h4>
          </Col>
          <Col span={24}>{data.caseName ? data.caseName : '-'}</Col>
        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>法院</h4>
          </Col>
          <Col span={24}>{data.court ? data.court : '-'}</Col>
        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>文书类型</h4>
          </Col>
          <Col span={24}>民事判决书</Col>
        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>诉讼参与人</h4>
          </Col>
          <Col span={24}>{data.plaintiff}</Col>
          <Col span={24}>{data.defendant}</Col>

        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>审理经过</h4>
          </Col>
          <Col span={24}>{data.trialProcess ? data.trialProcess : '-'}</Col>
        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            {/* <h4>诉讼请求</h4> */}
            <h4>案件基本情况</h4>
          </Col>
          <Col span={24}>{data.basicCaseInfo ? data.basicCaseInfo : '-'}</Col>
        </Row>
        {/* <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>辩称</h4>
          </Col>
          <Col span={24}>-</Col>
        </Row> */}
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>事实认定</h4>
          </Col>
          <Col span={24}>{data.trialFinding ? data.trialFinding : '-'}</Col>
        </Row>
        {/* <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>本院认为</h4>
          </Col>
          <Col span={24}>-</Col>
        </Row> */}
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>裁判结果</h4>
          </Col>
          <Col span={24}>{data.judgment ? data.judgment : '-'}</Col>
        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>涉案法条</h4>
          </Col>
          {/* <Col className='public-color public-a' span={24}>《中华人民共和国婚姻法》第四条</Col>
          <Col className='public-color public-a' span={24}>《中华人民共和国婚姻法》第十九条</Col>
          <Col className='public-color public-a' span={24}>《中华人民共和国民事诉讼法》第二百五十三条</Col> */}
          <Col span={24}>《中华人民共和国婚姻法》第四条</Col>
          <Col span={24}>《中华人民共和国婚姻法》第十九条</Col>
          <Col span={24}>《中华人民共和国民事诉讼法》第二百五十三条</Col>

        </Row>
        <Row style={{ marginBottom: '16px' }} gutter={[16, 2]}>
          <Col span={24}>
            <h4>完整案件全文</h4>
          </Col>
          <Col span={24}>{data.fullText ? data.fullText : '-'}</Col>
        </Row>
        
      </div>
      <div style={{ width: '8px' }}></div>
      <div className="mediationWindow-detail-r">
        <Row gutter={[16, 12]}>
          <Col span={24} style={{ display: 'flex', alignItems: 'center', gap: '8px' }}>
            <div style={{ height: '16px', marginBottom: '8px' }} className='MediationInfo-subTitle'></div><h4>案件提纲</h4>
          </Col>
        </Row>
        <div className="mediationWindow-detail-r-steps">
          <div style={{ position: 'relative', width: '20px', marginRight: '16px', padding: '4px 0' }}>
            <div style={{ borderRadius: '100%', width: '8px', height: '8px', border: '1px solid #D1021C', position: 'absolute', left: '-3px', top: `${step * 24 - 18}px` }}></div>
            <div style={{ borderLeft: '1px solid rgba(5,5,5,0.06)', height: '100%' }}></div>
          </div>
          <Row gutter={[16, 2]}>
            <Col onClick={() => setStep('1')} className={`public-a ${step === '1' && 'public-color'}`} span={24}>标题</Col>
            <Col onClick={() => setStep('2')} className={`public-a ${step === '2' && 'public-color'}`} span={24}>法院</Col>
            <Col onClick={() => setStep('3')} className={`public-a ${step === '3' && 'public-color'}`} span={24}>文书类型</Col>
            <Col onClick={() => setStep('4')} className={`public-a ${step === '4' && 'public-color'}`} span={24}>案号</Col>
            <Col onClick={() => setStep('5')} className={`public-a ${step === '5' && 'public-color'}`} span={24}>诉讼参与人</Col>
            <Col onClick={() => setStep('6')} className={`public-a ${step === '6' && 'public-color'}`} span={24}>审理经过</Col>
            <Col onClick={() => setStep('7')} className={`public-a ${step === '7' && 'public-color'}`} span={24}>诉讼请求</Col>
            <Col onClick={() => setStep('8')} className={`public-a ${step === '8' && 'public-color'}`} span={24}>辩称</Col>
            <Col onClick={() => setStep('9')} className={`public-a ${step === '9' && 'public-color'}`} span={24}>事实认定</Col>
            <Col onClick={() => setStep('10')} className={`public-a ${step === '10' && 'public-color'}`} span={24}>本院认为</Col>
            <Col onClick={() => setStep('11')} className={`public-a ${step === '11' && 'public-color'}`} span={24}>裁判结果</Col>
            <Col onClick={() => setStep('12')} className={`public-a ${step === '12' && 'public-color'}`} span={24}>法律效力</Col>
            <Col onClick={() => setStep('13')} className={`public-a ${step === '13' && 'public-color'}`} span={24}>审判人员</Col>
          </Row>
        </div>

        {/* <Row style={{ marginTop: '12px' }} gutter={[16, 12]}>
          <Col span={24} style={{ display: 'flex', alignItems: 'center', gap: '8px' }}>
            <div style={{ height: '16px', marginBottom: '8px' }} className='MediationInfo-subTitle'></div><h4>案件特征</h4>
          </Col>
        </Row>
        <Row gutter={[16, 12]}>
          <Col span={24} >
            <div className="mediationWindow-nav-center-col">
              <div className="mediationWindow-nav-center-tag public-tag public-tag-default">财产分割</div>&nbsp;
              <span className="mediationWindow-nav-center-text">出现<span style={{ color: '#d10202' }}>1</span>次</span>
            </div>
          </Col>
          <Col span={24} >
            <div className="mediationWindow-nav-center-col">
              <div className="mediationWindow-nav-center-tag public-tag public-tag-default">婚内出轨</div>&nbsp;
              <span className="mediationWindow-nav-center-text">出现<span style={{ color: '#d10202' }}>1</span>次</span>
            </div>
          </Col>
          <Col span={24} >
            <div className="mediationWindow-nav-center-col">
              <div className="mediationWindow-nav-center-tag public-tag public-tag-default">单亲家庭</div>&nbsp;
              <span className="mediationWindow-nav-center-text">出现<span style={{ color: '#d10202' }}>1</span>次</span>
            </div>
          </Col>
          <Col span={24} >
            <div className="mediationWindow-nav-center-col">
              <div className="mediationWindow-nav-center-tag public-tag public-tag-default">精神抑郁</div>&nbsp;
              <span className="mediationWindow-nav-center-text">出现<span style={{ color: '#d10202' }}>1</span>次</span>
            </div>
          </Col>
        </Row> */}
      </div>
    </div>
  )

}

export default MediationWindowDetail;